MultiFacetQuery (Lucene 10.5.0 facet API)
Description: declaration: package: org.apache.lucene.facet, class: MultiFacetQuery

Package org.apache.lucene.facet

# Class MultiFacetQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.search.MultiTermQuery
org.apache.lucene.search.TermInSetQuery
org.apache.lucene.facet.MultiFacetQuery

All Implemented Interfaces:
  `Accountable`

public class MultiFacetQuery extends TermInSetQuery
A multi-terms `Query` over a `FacetField`.

NOTE:This helper class is an alternative to `DrillDownQuery` especially in cases where you don't intend to use `DrillSideways`

See Also:
  - `TermInSetQuery`
WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.MultiTermQuery

  `MultiTermQuery.RewriteMethod, MultiTermQuery.TopTermsBlendedFreqScoringRewrite, MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite, MultiTermQuery.TopTermsScoringBooleanQueryRewrite`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.MultiTermQuery

  `CONSTANT_SCORE_BLENDED_REWRITE, CONSTANT_SCORE_BOOLEAN_REWRITE, CONSTANT_SCORE_REWRITE, DOC_VALUES_REWRITE, rewriteMethod, SCORING_BOOLEAN_REWRITE`

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiFacetQuery(String dimension, String[]... paths)`
  Creates a new `MultiFacetQuery` filtering the query on the given dimension.
  `MultiFacetQuery(FacetsConfig facetsConfig, String dimension, String[]... paths)`
  Creates a new `MultiFacetQuery` filtering the query on the given dimension.

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.search.TermInSetQuery

  `equals, getBytesRefIterator, getChildResources, getTermsCount, getTermsEnum, hashCode, newIndexOrDocValuesQuery, ramBytesUsed, toString, visit`

  ### Methods inherited from class org.apache.lucene.search.MultiTermQuery

  `getField, getRewriteMethod, getTermsEnum, rewrite`

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, createWeight, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiFacetQuery

    public MultiFacetQuery(FacetsConfig facetsConfig, String dimension, String[]... paths)
    Creates a new `MultiFacetQuery` filtering the query on the given dimension.

  - ### MultiFacetQuery

    public MultiFacetQuery(String dimension, String[]... paths)
    Creates a new `MultiFacetQuery` filtering the query on the given dimension.

    NOTE:Uses FacetsConfig.DEFAULT_DIM_CONFIG.